%global momorel 2

Name:           cpanspec
Version:        1.77
Release:        %{momorel}m%{?dist}
Summary:        RPM spec file generation utility
License:        GPL or Artistic
Group:          Development/Tools
URL:            http://cpanspec.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/cpanspec/cpanspec-%{version}.tar.gz
NoSource:       0
Patch0:         %{name}-%{version}-momonga.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Module-Build
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       wget
Requires:       yum-utils
Requires:       perl-Parse-CPAN-Packages
Requires:	perl-IO-Compress-Bzip2

%description
cpanspec generates spec files for Perl modules from CPAN for Fedora
Extras.  The quality of the spec file is our primary concern.  It is
assumed that maintainers will need to do some (hopefully small) amount
of work to clean up the generated spec file to make the package build
and to verify that all of the information contained in the spec file
is correct.

%prep
%setup -q
%patch -p1

%build
perl Build.PL installdirs=site
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

# No tests.
#%check
#./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Artistic Changes COPYING BUGS TODO
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.77-2m)
- update Momonganize patch

* Sat Aug 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.77-1m)
- update to 1.77

* Thu May 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.75-1m)
- update to 1.75
- modify momonganize patch

* Mon Apr 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.74-4m)
- update momonganize patch for new BuildRoot

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.74-3m)
- rebuild against gcc43

* Mon Feb  4 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.74-2m)
- rebuild against perl-5.10.0

* Mon Dec 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.74-1m)
- update to 1.74
- update momonganize patch

* Thu Jul 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.73-1m)
- update to 1.73
- update momonganize patch

* Tue Jul 10 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.71-1m)
- update to 1.71

* Sun Jun 03 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.70-1m)
- update 1.70

* Sun Jan 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.69.1-2m)
- modify momonganize patch

* Sun Jan  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.69.1-1m)
- update to 1.69.1
- momonganize patch was modified

* Sun Oct  1 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.68-1m)
- import from fc-extra

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 1.68-2
- Fix find option order.

* Thu Jul 20 2006 Steven Pritchard <steve@kspei.com> 1.68-1
- Update to 1.68.
- Include Changes.

* Thu Jul 13 2006 Steven Pritchard <steve@kspei.com> 1.67-1
- Update to 1.67.

* Thu May 18 2006 Steven Pritchard <steve@kspei.com> 1.66-1
- Update to 1.66.
- Drop regex patch.
- cpanspec now uses repoquery.

* Thu May 04 2006 Steven Pritchard <steve@kspei.com> 1.65-2
- Add cpanspec-1.65-regex.patch (fix broken regex, from 1.66 CVS).

* Wed Apr 26 2006 Steven Pritchard <steve@kspei.com> 1.65-1
- Update to 1.65.
- cpanget requires wget.

* Wed Mar 24 2006 Steven Pritchard <steve@kspei.com> 1.64-1
- Update to 1.64.

* Wed Mar 24 2006 Steven Pritchard <steve@kspei.com> 1.63-1
- Update to 1.63.

* Wed Mar 22 2006 Steven Pritchard <steve@kspei.com> 1.62-1
- Update to 1.62.

* Sat Mar 11 2006 Steven Pritchard <steve@kspei.com> 1.61-1
- Update to 1.61.

* Tue Mar 07 2006 Steven Pritchard <steve@kspei.com> 1.60-1
- Update to 1.60.

* Wed Feb 01 2006 Steven Pritchard <steve@kspei.com> 1.59-2
- URL/Source0 on SourceForge.
- Use a more appropriate Group.

* Tue Sep 20 2005 Steven Pritchard <steve@kspei.com> 1.59-1
- Update to 1.59.

* Mon Sep 19 2005 Steven Pritchard <steve@kspei.com> 1.58-1
- Update to 1.58.
- Comment out bogus URL and Source0 URL.

* Fri Sep 16 2005 Steven Pritchard <steve@kspei.com> 1.55-1
- Update to 1.55.
- Include man page.
- Drop explicit module dependencies.  (rpmbuild will figure it out.)

* Fri Sep 16 2005 Steven Pritchard <steve@kspei.com> 1.54-1
- Update to 1.54.

* Mon Sep 05 2005 Steven Pritchard <steve@kspei.com> 1.49-1
- Update to 1.49.
- Remove unneeded BuildRequires (no tests).
- Remove explicit core module requirements.

* Sat Sep 03 2005 Steven Pritchard <steve@kspei.com> 1.46-1
- Initial rpm release.
